#!/bin/sh
VER=5.1.73

#FROM_SERVER=http://mirror.csclub.uwaterloo.ca/mysql/
FROM_SERVER=http://mysql.mirror.iweb.ca/
#http://mysql.mirror.iweb.ca/Downloads/MySQL-5.1/MySQL-client-5.1.49-1.glibc23.i386.rpm
#http://dev.mysql.com/get/Downloads/MySQL-5.1/MySQL-client-5.1.51-1.glibc23.i386.rpm/from/http://mysql.mirror.iweb.ca/

grab()
{
        REL=1

        wget -O $VER/MySQL-${1}-${VER}-${REL}.glibc23.i386.rpm http://dev.mysql.com/get/Downloads/MySQL-5.1/MySQL-${1}-${VER}-${REL}.glibc23.i386.rpm/from/${FROM_SERVER}
        ln -s $VER/MySQL-${1}-${VER}-${REL}.glibc23.i386.rpm .
}

grab64()
{
        REL=1

        wget -O 64-bit/$VER/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm http://dev.mysql.com/get/Downloads/MySQL-5.1/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm/from/${FROM_SERVER}
        ln -s $VER/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm ./64-bit/
}

doDebian()
{
        wget -O ${2}/mysql-${VER}-linux-${1}-glibc23.tar.gz http://dev.mysql.com/get/Downloads/MySQL-5.1/mysql-${VER}-linux-${1}-glibc23.tar.gz/from/${FROM_SERVER}
        cd ${2}
        echo "recompressing...";
        tar xzf mysql-${VER}-linux-${1}-glibc23.tar.gz
        mv mysql-${VER}-linux-${1}-glibc23 mysql-${VER}-linux-${1}
        tar czf mysql-${VER}-linux-${1}.tar.gz mysql-${VER}-linux-${1}
        echo "done recompressing."

        rm -f mysql-${VER}-linux-${1}-glibc23.tar.gz
        rm -rf mysql-${VER}-linux-${1}
}

doMain()
{
        for i in server client devel shared; do
        {
                echo "getting $i ...";
                grab $i
                grab64 $i
        };
        done;
}

CWD=`pwd`

mkdir -p $VER
mkdir -p 64-bit/$VER

doMain
cd $CWD
doDebian i686 debian
cd $CWD
doDebian x86_64 debian/64-bit
cd $CWD

wget -O mysql-${VER}.tar.gz http://dev.mysql.com/get/Downloads/MySQL-5.1/mysql-${VER}.tar.gz/from/${FROM_SERVER}

exit 0;

